#################################################################################################
# Name:		vsftpd Configuration File						 	#
# Author:	Philippe Dellaert							 	#
# Date:		14-12-2004								 	#
# Extra:										 	#
#		Please check the following url for the explanation of the directives		#
#		http://squidward.mit.edu/rhel-doc/RH-DOCS/rhel-rg-en-3/s1-ftp-vsftpd-conf.html	#
#################################################################################################

##################
# General Config #
##################
secure_chroot_dir=/var/run/vsftpd
rsa_cert_file=/etc/ssl/certs/vsftpd.pem
listen=YES
session_support=YES
#cmds_allowed
pam_service_name=vsftpd
tcp_wrappers=YES

#####################
# Deny/Allow Config #
#####################
local_enable=YES
anonymous_enable=YES
deny_email_enable=NO
banned_email_file=/etc/vsftpd/vsftpd.banned_emails
userlist_enable=YES
userlist_deny=NO
userlist_file=/etc/vsftpd/vsftpd.user_list

#################
# Banner Config #
#################
#ftpd_banner=Welcome to the Afterlife FTP
banner_file=/etc/vsftpd/vsftpd.banner

####################
# Anonymous Config #
####################
anon_mkdir_write_enable=NO
anon_root=/home/ftp/Pub
anon_upload_enable=NO
anon_world_readable_only=YES
ftp_username=ftp
no_anon_password=NO

######################
# Local Users Config #
######################
chmod_enable=NO
chroot_list_enable=YES
chroot_list_file=/etc/vsftpd/vsftpd.chroot_list
chroot_local_user=YES
guest_enable=NO
guest_username=ftp
local_root=/home/hentai
passwd_chroot_enable=YES
#user_config_dir=/etc/vsftpd/users

#####################
# Directory Options #
#####################
ls_recurse_enable=YES
dirlist_enable=YES
dirmessage_enable=YES
force_dot_files=NO
hide_ids=YES
message_file=.message
text_userdb_names=NO
use_localtime=YES

########################
# File Transfer Config #
########################
download_enable=YES
chown_uploads=YES
chown_username=straks
write_enable=YES

##############
# Log Config #
##############
dual_log_enable=YES
log_ftp_protocol=NO
syslog_enable=NO
vsftpd_log_file=/var/log/vsftpd.log
#xferlog_enable=YES
xferlog_file=/var/log/xferlog
#xferlog_std_format=YES

##################
# Network Config #
##################
accept_timeout=60
anon_max_rate=512000
connect_from_port_20=NO
connect_timeout=60
data_connection_timeout=300
ftp_data_port=20
idle_session_timeout=300
#listen_address=
#listen_address6=
listen_port=21
local_max_rate=0
max_clients=10
max_per_ip=10
pasv_enable=YES
#pasv_address=*
pasv_min_port=35353
pasv_max_port=35363
pasv_promiscuous=NO
port_enable=NO

